import { Column, DatabaseModel, SchemaParser, Table } from '@deepkit/sql';
export declare class PostgresSchemaParser extends SchemaParser {
    protected defaultPrecisions: {
        char: number;
        character: number;
        integer: number;
        real: number;
        bigint: number;
        smallint: number;
        'double precision': number;
    };
    protected numberTypes: string[];
    parse(database: DatabaseModel, limitTableNames?: string[]): Promise<void>;
    protected addIndexes(table: Table): Promise<void>;
    protected addForeignKeys(database: DatabaseModel, table: Table): Promise<void>;
    protected addColumns(table: Table): Promise<void>;
    protected mapDefault(dbDefault: any, column: Column): void;
    protected parseTables(database: DatabaseModel, limitTableNames?: string[]): Promise<void>;
}
